Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040965
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2019-05-28 22:402019-06-12 17:25
ReportergsuarezView Statuspublic 
Assigned Tononofrancisco 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision8ca50f74a19d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040965: Reversal payments creation date and user is not correct.

DescriptionThe payment reversal document does not have the creation date as of today, and the user in the created by column is not the user that creates the document.
Steps To Reproduce1) Go to payment in/out window.
2) Select the payment which is not reversed, older than today. Click on Payment reversal.
3) The payment reversal document does not have the creation date as of today. (when we generate the payment reversal).
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0112325)
nonofrancisco (developer)
2019-05-31 21:16

As Openbravo/System Administrator
Go to Windows Tab and Fields window
Search by name "Payment In"
Select the record
Go to Tabs tab
Select the record "Header"
Go to Fields tab
Remove all filters
Search for name "Reverse Payment"
Set Displayed = true

Do ant compile.complete
Restart the system

As Openbravo/F&B International Group Admin
Go to Payment In window
Remove all filters
Select the payment with document number "1000304"
Click on Reverse Payment button
Set payment date = today
Click on Ok

Refresh the window
Open the record with document number = "*R*1000305"
Verify audit information
  Created = Updated = now
  Created By = Updated By = Openbravo
(0112403)
hgbot (developer)
2019-06-05 09:15

Repository: erp/devel/pi
Changeset: 8ca50f74a19d5fcf3cef87ff5c85a643188219da
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Fri May 31 14:49:20 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/8ca50f74a19d5fcf3cef87ff5c85a643188219da [^]

Fixes issue 40965: Update audit info when creating reversal payment

The reversal payment is generated as a copy of the original payment. After
the creation of the reversal payment, audit information is updated.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java
---
(0112404)
Sandrahuguet (developer)
2019-06-05 09:16

code review + testing ok
(0112420)
hudsonbot (developer)
2019-06-05 13:41

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8e20cc58f41d [^]
Maturity status: Test
(0112595)
hgbot (developer)
2019-06-12 10:00

Repository: erp/devel/pi
Changeset: 344027159c1c40aae39ed183a7f231e3223bc7f2
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Jun 12 10:00:33 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/344027159c1c40aae39ed183a7f231e3223bc7f2 [^]

related to issue 40965 code review changes use new Date() instead of Calendar

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java
---
(0112659)
hudsonbot (developer)
2019-06-12 17:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6fe812567617 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-28 22:40 gsuarez New Issue
2019-05-28 22:40 gsuarez Assigned To => Triage Finance
2019-05-28 22:40 gsuarez Modules => Core
2019-05-28 22:40 gsuarez Triggers an Emergency Pack => No
2019-05-29 13:01 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-05-29 21:11 nonofrancisco Status new => scheduled
2019-05-31 21:16 nonofrancisco Note Added: 0112325
2019-06-05 09:15 hgbot Checkin
2019-06-05 09:15 hgbot Note Added: 0112403
2019-06-05 09:15 hgbot Status scheduled => resolved
2019-06-05 09:15 hgbot Resolution open => fixed
2019-06-05 09:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8ca50f74a19d5fcf3cef87ff5c85a643188219da [^]
2019-06-05 09:16 Sandrahuguet Review Assigned To => Sandrahuguet
2019-06-05 09:16 Sandrahuguet Note Added: 0112404
2019-06-05 09:16 Sandrahuguet Status resolved => closed
2019-06-05 09:16 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-06-05 13:41 hudsonbot Checkin
2019-06-05 13:41 hudsonbot Note Added: 0112420
2019-06-12 10:00 hgbot Checkin
2019-06-12 10:00 hgbot Note Added: 0112595
2019-06-12 17:25 hudsonbot Checkin
2019-06-12 17:25 hudsonbot Note Added: 0112659


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker